.TH wxToggleButton 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxToggleButton \- See external documentation: wxToggleButton\&.
.SH DESCRIPTION
.LP
See external documentation: wxToggleButton <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtogglebutton\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxToggleButton()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxToggleButton()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtogglebutton\&.html#wxtogglebuttonwxtogglebutton>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string()) -> wxToggleButton()
.br
.RS
.LP
Equivalent to new(Parent, Id, Label, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string(), Options::[Option]) -> wxToggleButton()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtogglebutton\&.html#wxtogglebuttonwxtogglebutton>\&.
.RE
.LP
.B
create(This::wxToggleButton(), Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Label, [])\&.
.RE
.LP
.B
create(This::wxToggleButton(), Parent::wxWindow() (see module wxWindow), Id::integer(), Label::string(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtogglebutton\&.html#wxtogglebuttoncreate>\&.
.RE
.LP
.B
getValue(This::wxToggleButton()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtogglebutton\&.html#wxtogglebuttongetvalue>\&.
.RE
.LP
.B
setValue(This::wxToggleButton(), State::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxtogglebutton\&.html#wxtogglebuttonsetvalue>\&.
.RE
.LP
.B
destroy(This::wxToggleButton()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
